import React from "react";

export interface ButtonProps {
  size?: "small" | "large";
  variant?: "redpink" | "white";
  tel?: boolean;
  dot?: boolean;
}

declare const Button: React.FunctionComponent<ButtonProps>;

export interface NavTabProps {
  title: string;
  active?: boolean;
  variant?: "black" | "white";
}

declare const NavTab: React.ForwardRefExoticComponent<NavTabProps & React.RefAttributes<HTMLButtonElement>>;

export interface TitleProps {
  text: [string, string, string];
  caption?: string;
  exclusive?: boolean;
}

declare const Title: React.FunctionComponent<TitleProps>;

export interface PhotoCardProps {
  src: string;
  deco?: "type1" | "type2" | "type3";
  width?: number;
  exclusive?: boolean;
}

declare const PhotoCard: React.FunctionComponent<PhotoCardProps>;